Page MenuHomePhabricator

Need a way to see config diffs in Scap
Closed, ResolvedPublic

Description

Since scap is now capable of deploying and compiling config files via jinja2, there needs to be some way to see a config-file diff before deploying a change.

Discussed in the cabal meeting notes

  • Pass configuration diff from target back to deployer
  • By default 1st target 1st deploy group
  • Console syntax highlighting via pygments
  • -a/--im-insane :) for all targets diff

Basis for this should be laid out in T109513 but the feature was lost in the shuffle.

Event Timeline

thcipriani assigned this task to mmodell.
thcipriani raised the priority of this task from to Needs Triage.
thcipriani updated the task description. (Show Details)
thcipriani added projects: Scap, Deployments.
thcipriani added subscribers: thcipriani, mmodell, dduvall and 2 others.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 9 2015, 6:58 PM
mmodell triaged this task as High priority.Nov 18 2015, 11:30 PM
thcipriani lowered the priority of this task from High to Medium.Feb 5 2016, 6:24 PM
greg edited projects, added scap2; removed Deployments.Feb 9 2016, 11:33 PM
mmodell edited projects, added Scap (Scap3-Adoption-Phase1); removed Scap.
mmodell raised the priority of this task from Medium to High.Apr 11 2017, 12:42 PM

During this week's deployment cabal meeting, @mobrovac expressed a need for this to happen sooner rather than later.

mmodell closed this task as Resolved.Apr 23 2017, 5:36 AM